## mingw-w64-python-flask-cors-4.0.1-2.src.tar.zst

=== docs/requirements.txt ===
alabaster==0.7.13 ; python_version >= "3.8"
babel==2.14.0 ; python_version >= "3.8"
certifi==2024.2.2 ; python_version >= "3.8"
charset-normalizer==3.3.2 ; python_version >= "3.8"
colorama==0.4.6 ; python_version >= "3.8" and sys_platform == "win32"
docutils==0.20.1 ; python_version >= "3.8"
idna==3.6 ; python_version >= "3.8"
imagesize==1.4.1 ; python_version >= "3.8"
importlib-metadata==7.0.1 ; python_version < "3.10" and python_version >= "3.8"
jinja2==3.1.3 ; python_version >= "3.8"
markupsafe==2.1.5 ; python_version >= "3.8"
packaging==23.2 ; python_version >= "3.8"
pygments==2.17.2 ; python_version >= "3.8"
pytz==2024.1 ; python_version < "3.9" and python_version >= "3.8"
requests==2.31.0 ; python_version >= "3.8"
snowballstemmer==2.2.0 ; python_version >= "3.8"
sphinx==7.1.2 ; python_version >= "3.8"
sphinx-rtd-theme==2.0.0 ; python_version >= "3.8"
sphinxcontrib-applehelp==1.0.4 ; python_version >= "3.8"
sphinxcontrib-devhelp==1.0.2 ; python_version >= "3.8"
sphinxcontrib-htmlhelp==2.0.1 ; python_version >= "3.8"
sphinxcontrib-httpdomain==1.8.1 ; python_version >= "3.8"
sphinxcontrib-jsmath==1.0.1 ; python_version >= "3.8"
sphinxcontrib-qthelp==1.0.3 ; python_version >= "3.8"
sphinxcontrib-serializinghtml==1.1.5 ; python_version >= "3.8"
urllib3==2.2.1 ; python_version >= "3.8"
zipp==3.17.0 ; python_version < "3.10" and python_version >= "3.8"

=== PKGBUILD ===
# Maintainer: Sarah Ottinger

_pyname=flask_cors
_realname=flask-cors
pkgbase=mingw-w64-python-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-python-${_realname}")
pkgver=4.0.1
pkgrel=2
pkgdesc='A Flask extension adding a decorator for CORS support (mingw-w64)'
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url="https://github.com/corydolphin/flask-cors"
msys2_references=(
  'pypi: Flask-Cors'
  "cpe: cpe:/a:flask-cors_project:flask-cors"
)
license=('spdx:MIT')
depends=("${MINGW_PACKAGE_PREFIX}-python"
         "${MINGW_PACKAGE_PREFIX}-python-flask"
         "${MINGW_PACKAGE_PREFIX}-python-werkzeug")
makedepends=("${MINGW_PACKAGE_PREFIX}-python-build"
             "${MINGW_PACKAGE_PREFIX}-python-installer"
             "${MINGW_PACKAGE_PREFIX}-python-setuptools")
source=("https://pypi.org/packages/source/${_pyname::1}/${_pyname}/${_pyname}-${pkgver}.tar.gz")
sha256sums=('eeb69b342142fdbf4766ad99357a7f3876a2ceb77689dc10ff912aac06c389e4')

build() {
  cp -r "${_pyname}-${pkgver}" "python-build-${MSYSTEM}" && cd "python-build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/python -m build --wheel --skip-dependency-check --no-isolation
}

check() {
  cd "${srcdir}/python-build-${MSYSTEM}"
  ${MINGW_PREFIX}/bin/python -m pytest || warning "Tests failed"
}

package() {
  cd "${srcdir}/python-build-${MSYSTEM}"

  MSYS2_ARG_CONV_EXCL="--prefix=" \
    ${MINGW_PREFIX}/bin/python -m installer --prefix=${MINGW_PREFIX} \
    --destdir="${pkgdir}" dist/*.whl

  install -Dm644 LICENSE "${pkgdir}${MINGW_PREFIX}/share/licenses/python-${_realname}/LICENSE"
}
